Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Enum Class ResourceComputationScheduler.ShutdownState

java.lang.Object
java.lang.Enum<ResourceComputationScheduler.ShutdownState>
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ResourceComputationScheduler.ShutdownState

All Implemented Interfaces:
  `Serializable`, `Comparable<ResourceComputationScheduler.ShutdownState>`, `java.lang.constant.Constable`

Enclosing class:
  `ResourceComputationScheduler<T>`

public static enum ResourceComputationScheduler.ShutdownState extends Enum<ResourceComputationScheduler.ShutdownState>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FINISH_FAILED`
`FINISH_SUCCESS`
`STARTED`

## Method Summary

Modifier and Type
Method
Description
`static ResourceComputationScheduler.ShutdownState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ResourceComputationScheduler.ShutdownState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STARTED

public static final ResourceComputationScheduler.ShutdownState STARTED

### FINISH_FAILED

public static final ResourceComputationScheduler.ShutdownState FINISH_FAILED

### FINISH_SUCCESS

public static final ResourceComputationScheduler.ShutdownState FINISH_SUCCESS

## Method Details

### values

public static ResourceComputationScheduler.ShutdownState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ResourceComputationScheduler.ShutdownState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null